SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   IBM Security Guardium Vendors:   IBM
(IBM Issues Fix for IBM Security Guardium) Apache Struts REST Plugin XStream XML Processing Bug Lets Remote Users Deny Service
SecurityTracker Alert ID:  1041764
SecurityTracker URL:  http://securitytracker.com/id/1041764
CVE Reference:   CVE-2018-1327   (Links to External Site)
Date:  Oct 2 2018
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10.1.4, 10.5
Description:   A vulnerability was reported in Apache Struts. A remote user can cause denial of service conditions on the target system. IBM Security Guardium is affected.

A remote user can send a specially crafted XML request to cause denial of service conditions on the target service.

Systems using the XStream handler with the Struts REST plugin are affected.

Yevgeniy Grushka and Alvaro Munoz from HPE reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   IBM has issued a fix for IBM Security Guardium.

The IBM advisory is available at:

https://www-01.ibm.com/support/docview.wss?uid=swg22017002

Vendor URL:  www-01.ibm.com/support/docview.wss?uid=swg22017002 (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Any)

Message History:   This archive entry is a follow-up to the message listed below.
Mar 27 2018 Apache Struts REST Plugin XStream XML Processing Bug Lets Remote Users Deny Service



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC